Subject: Re: [PATCH v2] builtin/help.c: move strbuf out of help loops

From: Junio C Hamano <[email-masked]>
Date: Wed, 11 Mar 2026 12:48:33 -0700

Amisha Chhajed <[email-masked]> writes:

>> After looking at the refactor of list_config_help() in the
>> other active thread, I agree that my optimization is no longer
>> necessary.
>>
>> Amisha's new structure with set_config_vars() and set_config_sections()
>> is much cleaner. Since the logic is now encapsulated in these helpers,
>> my proposed changes would not be applicable.
>
> I feel removing out the strbuf initialisation and release out of the
> loop is still applicable,
> I have added all the parts in v5 which were not fixed by my
> improvements and tagged you,
> check it out here
> https://lore.kernel.org/git/[email-masked]/

I love seeing two community members, both of which are relatively
newcomers, working well together ;-).